petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCBDDCSetLevels

Sets the maximum number of levels for multilevel

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCBDDCSetLevels(PC pc,PetscInt levels)

Logically collective on PC Many br

### Input Parameters

| pc | - the preconditioning context Many br
| levels | - the maximum number of levels (max 9) Many br

### Options Database Keys

-pc_bddc_levels - Many br Many br

### Notes

Default value is 0, i.e. traditional one-level BDDC Many br

### See Also

PCBDDC, PCBDDCSetCoarseningRatio()

Level:intermediate
Location:src/ksp/pc/impls/bddc/bddc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages